<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */

namespace Kufer\Web\KuferTools\Hausmeister\Raumreservierung;

class RaumreservierungController extends \Kufer\Web\KuferTools\Basis\Controller\ToolController
{
  protected function getUseCase(): \Kufer\Web\KuferTools\Basis\UseCase\UseCase
  {
    return new RaumreservierungUseCase($this->getRequestObj());
  }

  protected function getRequestObj()
  {
    return new RaumreservierungRequest();
  }

  protected function getPresenter($pUseCaseResponse)
  {
    return new RaumreservierungPresenter($pUseCaseResponse);
  }
}